INFO: Firefox do not accept Let's Encrypt (yet)


#1

I had a private discussion on mail with @hexparrot on this problem. This post is just to formalise things and have it written down.

Mozilla do not have Let’s Encrypt in its know / trusted root certificate store. This means that Firefox will not accept the certificates, and will throw an error. For this forum this means that firefox will not connect or open the website.

(I tried to attach an image here of the error message, but chrome didn’t want to… )

It is important to specify that this is not an error with this forum or how it is set up, this is something missing from firefox. There allready exist a bugzilla on this: https://bugzilla.mozilla.org/show_bug.cgi?id=1204656

There may also be a workaround, but this will have to be done serverside, and not client side:


Openssl certificate not valid